Subject: [mpls] Regarding mplsTunnelTable

From: Aryan Thakkar <[email-masked]>
Date: Mon, 16 Jan 2006 08:35:02 +0000 (GMT)

Hi,
 
 I am new to SNMP/MPLS Tech. I want to know answers
 to
 certain questions: 
 
 1)I have gone through RFC 3812/3813 MIB, with
 respect
 to that I want to know that when we create an LSP,
 how
 can the hops of the LSPs be defined? That means
 could
 we define the hops of the LSP as per our wish or is
 it
 going to be decided by any default mechanism?
 
2)Also does a mplsXCTable support multiple push and
 pop operations or does it support only swapping?
 
3)Does a core router contain any info regarding LSP
 ID
 of any Tunnel?
 
 Please do reply soon.
 
 Regards,
Aryan T.

> 
> 
> 
> Send instant messages to your online friends
> http://in.messenger.yahoo.com 
> 

Send instant messages to your online friends http://in.messenger.yahoo.com 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 17 Jan 2006 09:56:20 -0500

On Jan 16, 2006, at 3:35 AM, Aryan Thakkar wrote:

>  how can the hops of the LSPs be defined? That means
>  could we define the hops of the LSP as per our wish or is
>  it going to be decided by any default mechanism?

	The hops for a TE LSP, reflect the different RRO/ERO
objects from RSVP-TE. There are also provisions to show
computed hops.  Thus there are 3 hop tables defined
it he MIB.  There is no such concept for LDP-signaled
LSPs, so you need to go hop-by-hop and examine the
LFIB at each LSR.

>  pop operations or does it support only swapping?

	The XCTable supports all operations
that you would use in an LFIB.

>  ID of any Tunnel?

	Please re-read the section in RFC3811 about
the LSP ID TC, as it goes through and explains each
option, and provides references.  You might also want
to give the MPLS Mgmt Overview (RFC4221) a read.

	--Tom